package com.ruoyi.voluntary.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 代理商对象 b_busi_agents
 *
 * @author voluntary
 * @date 2022-11-20
 */
public class BusiAgents extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 代理商ID */
    private Long agentId;

    /** 类型(1:区经理,2:省区经理,3:二级经理) */
    @Excel(name = "类型(1:区经理,2:省区经理,3:二级经理)")
    private Integer agentType;

    /** 账号 */
    @Excel(name = "账号")
    private String phonenumber;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 是否生效 */
    @Excel(name = "是否生效")
    private Integer status;

    private Long userId;

    public void setAgentId(Long agentId)
    {
        this.agentId = agentId;
    }

    public Long getAgentId()
    {
        return agentId;
    }
    public void setAgentType(Integer agentType)
    {
        this.agentType = agentType;
    }

    public Integer getAgentType()
    {
        return agentType;
    }
    public BusiAgents setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
        return this;
    }

    public String getPhonenumber()
    {
        return phonenumber;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("agentId", getAgentId())
            .append("agentType", getAgentType())
            .append("phonenumber", getPhonenumber())
            .append("name", getName())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
